<template>
 <div class="wastegas" style="width: 5rem;height: 2.07rem">
   <el-table
       :data="tableData"
       style="width: 100%;height: 100%">
     <el-table-column prop="LabMonTime" label="检测时间"></el-table-column>
     <el-table-column label="氮氧化物">
       <el-table-column prop="NOMonTime" label="监测值" width="70"></el-table-column>
       <el-table-column prop="NOEndTime" label="标准值" width="70"></el-table-column>
     </el-table-column>
     <el-table-column label="二氧化硫">
       <el-table-column prop="SOMontime" label="监测值" width="70"></el-table-column>
       <el-table-column prop="SoEndTime" label="标准值" width="70"></el-table-column>
     </el-table-column>
     <el-table-column label="烟尘">
       <el-table-column prop="MonItemId" label="监测值" width="70"></el-table-column>
       <el-table-column prop="EndMonTime" label="标准值" width="70"></el-table-column>
     </el-table-column>
     <el-table-column label="非甲烷总烃">
       <el-table-column prop="MonItemId" label="监测值" width="70"></el-table-column>
       <el-table-column prop="MonItemId" label="标准值" width="70"></el-table-column>
     </el-table-column>
   </el-table>
 </div>
</template>

<script>
import dayjs from 'dayjs'
import mapApi from '@/api/mapApi'

export default {
  name: 'Detail',
  data () {
    return {
      tableData: []
    }
  },
  mounted () {
    this.initdetail()
  },
  methods: {
    async initdetail () {
      const timeEnd = dayjs().format('YYYY-MM-DD HH:mm:ss')
      const timeStart = dayjs().subtract(3, 'minute').format('YYYY-MM-DD HH:mm:ss')
      const data = {
        companyId: 3900100145,
        labMonPointId: 219,
        beginTime: timeStart,
        endTime: timeEnd
      }
      const result = (await mapApi.getWasteGasManualData(data)).Result.DataInfo
      // console.log(result)
      this.tableData = result
    }
  }
}

</script>

<style scoped>

</style>
